# Copyright (c) 2008-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Summary:		Password manager with GTK2 GUI
Name:			fpm2
Version:		0.79
Release:		0.pm.4.1
License:		GPL
Group:			Productivity/Security
Source:			http://als.regnet.cz/%{name}/download/%{name}-%{version}.tar.bz2
URL:			http://als.regnet.cz/fpm2/
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	intltool
BuildRequires:	gettext
BuildRequires:	gtk2-devel
BuildRequires:	libxml2-devel
BuildRequires:	update-desktop-files
Requires:		licenses

%description
Figaro's Password Manager 2 is a program that allows you to securely
store the passwords using GTK2 interface.

Features include:
* Passwords are encrypted with the blowfish algorithm.
* Copy passwords or usernames to the clipboard/primary selection.
* If the password is for a web site, FPM2 can keep track of the
  URLs of your login screens and can automatically launch your
  browser. In this capacity, FPM2 acts as a kind of bookmark
  manager.
* Combine all three features: you can configure FPM2 to bring you
  to a web login screen, copy your username to the clipboard and your
  password to the primary selection, all with a single button click.
* FPM2 also has a password generator that can choose passwords for
  you.It allows you to determine how long the password should be,
  and what types of characters (lower case, upper case, numbers
  and symbols) should be used.
  You can even have it avoid ambiguous characters such as a capital
  O or the number zero.


%lang_package

%prep
%setup -q

%build
export CPPFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

# icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 data/pixmaps/logo.png \
	%{buildroot}%{_datadir}/pixmaps/%{name}.png

%suse_update_desktop_file -i %{name} Utility Security

%find_lang %{name}

ln -sf %{_datadir}/doc/licenses/md5/$(md5sum COPYING | %__sed 's/ .*//') COPYING

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%doc %{_mandir}/man1/%{name}.1.gz
%{_bindir}/%{name}
%{_datadir}/pixmaps/*.png
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/*.png
%{_datadir}/applications/*.desktop

%files lang -f %{name}.lang

%changelog
* Thu Mar 31 2011 detlef@links2linux.de
- update to 0.79
* Wed Mar  3 2010 toni@links2linux.de
- update to 0.78
- Fixed crash in master password dialog after open keyfile.
- Disable (gray out) toolbar button and menu entries which require
  a row to be selected.
- Use MD5 and SHA-256 from GLib.
* Wed Feb 24 2010 toni@links2linux.de
- update to 0.77
- User can now select columns in main view including their order.
- Added option for select action when user activate entry and option
  for open search dialog on startup.
- This version also fixed search in and DEFAULT and NONE category.
* Tue Nov 10 2009 toni@links2linux.de
- update to 0.76.1
- Fixed crash on startup when do not exists FPM2 data directory.
* Fri Nov  6 2009 toni@links2linux.de
- update to 0.76
- splitted off lang-subpackage
- FPM2 can be now minimized in tray on startup without master password input. More
  translations were added. Minor bugs were fixed.
* Mon Mar  2 2009 toni@links2linux.de
- update to 0.75
* Mon Jul  7 2008 toni@links2linux.de
- update to 0.72
* Wed Jun  4 2008 toni@links2linux.de
- initial release 0.71
